#ifndef XAUDIOSOURCEFORMAT_H
#define XAUDIOSOURCEFORMAT_H

#include "xasset.h"
#include "xaudioformatinfo.h"
#include "xaudiostreaminfo.h"

class XAudioSourceFormat : public XAsset
{
public:
    explicit XAudioSourceFormat();
    ~XAudioSourceFormat();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mSampleType;
    XAudioStreamInfo mStreamInfo;
    XAudioFormatInfo mAudioFormatInfo;
};

#endif // XAUDIOSOURCEFORMAT_H
